Subject: Re: Looking for java implementation of X Windows
From: [email-masked] ("Kurt Mahan")

31 Aug 1997 15:53:30 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked] (Bartlee Anderson)
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]> from "Bartlee Anderson" at Aug 24, 97 00:39:06 am
X-Mailer: ELM [version 2.4 PL23]
Original-Sender: [email-masked]

> Has anyone seen a Java only implementation of X.
> I saw something that I thought I saved, but can't find.
> 
> May have been on another list.

Attached is what you might be referring to (from the jolt list)..

Kurt

/*
 * This version of Kurt Mahan is currently being evaluated.  Words he speaks
 * are those of him only and not those of Novell or anybody else.
 *
 * Novell Java Technologies R&D Group
 *
 * Kurt Mahan
 * [email-masked]
 */
------------------------------ ATTACH ---------------------------
From [email-masked] Wed Aug 13 14:05 MDT 1997
Return-path: <[email-masked]>
From: "Eugene O'Neil" <[email-masked]>
To: <[email-masked]>
Subject: XTC, an X Window library implemented in pure Java
Date: Wed, 13 Aug 1997 15:39:23 -0400
X-URL: http://www.redhat.com

I am writing a Java windowing toolkit named XTC, the X Tool Collection.
Instead of using native methods that depend on Motif or even xlib, I have
instead opted to implement the underlying X Window Protocol in pure Java.

My library is small, powerful, object-oriented, multi-threaded, reasonably
efficient, and public domain. If you find this interesting, download my
working demo from the following web page:

http://www.cs.umb.edu/~eugene/X.html

-Eugene

--
To unsubscribe: mail -s unsubscribe [email-masked] < /dev/null

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".